> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# ドメインを検索

> ワークスペースの公開ドメインの空き状況を確認します。

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ja.json GET /v1/public/accounts/{account_id}/domains/search
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/domains/search:
    get:
      tags:
        - public-accounts
        - public-domains
      summary: ドメインを検索
      description: ワークスペースの公開ドメインの空き状況を確認します。
      operationId: search_public_domains_v1_public_accounts__account_id__domains_search_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: workspace_id
          required: true
          schema:
            format: uuid
            title: Workspace Id
            type: string
        - in: query
          name: domains
          required: true
          schema:
            items:
              type: string
            title: Domains
            type: array
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/DomainPriceResponse'
                title: >-
                  Response Search Public Domains V1 Public Accounts  Account Id 
                  Domains Search Get
                type: array
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DomainPriceResponse:
      properties:
        alternatives:
          items:
            $ref: '#/components/schemas/DomainAlternativeResponse'
          title: 代替案
          type: array
        available:
          title: 利用可能
          type: boolean
        currency:
          default: USD
          title: 通貨
          type: string
        domain:
          title: ドメイン
          type: string
        is_premium:
          default: false
          title: プレミアムかどうか
          type: boolean
        is_suggestion:
          default: false
          title: 候補かどうか
          type: boolean
        price:
          title: 価格
          type: string
        unavailable_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: 利用不可の理由
      required:
        - domain
        - available
        - price
      title: ドメインPriceレスポンス
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 詳細
          type: array
      title: HTTPValidationエラー
      type: object
    DomainAlternativeResponse:
      description: 代替ドメインの利用可否と価格情報。
      properties:
        available:
          default: true
          title: 利用可能
          type: boolean
        currency:
          default: USD
          title: 通貨
          type: string
        domain:
          title: ドメイン
          type: string
        is_premium:
          default: false
          title: プレミアムかどうか
          type: boolean
        is_suggestion:
          default: true
          title: 候補かどうか
          type: boolean
        price:
          title: 価格
          type: string
      required:
        - domain
        - price
      title: ドメインAlternativeレスポンス
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 場所
          type: array
        msg:
          title: メッセージ
          type: string
        type:
          title: エラータイプ
          type: string
      required:
        - loc
        - msg
        - type
      title: Validationエラー
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````